petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFGetType

Get the PetscSF communication implementation

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetType(PetscSF sf, PetscSFType *type)

Not Collective

### Input Parameter

sf -the PetscSF context

### Output Parameter

type -the PetscSF type name

### See Also

PetscSFSetType(), PetscSFCreate()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages